﻿using System.Collections.Generic;
using SmartApp.Contracts.IO;
using SmartApp.Contracts.Models;

namespace SmartApp.Contracts.Services
{
    public interface IHeatingManagementService
    {
        void SetHeatingParameter (Models.ParameterHeating parameterHeating);

        void DeleteHeatingParameter(string parameterHeadingId);
        
        List<ParameterHeating> GetHeatingParameter();

        IHeatingRoom GetHeatingStatesBath();

        IHeatingRoom GetHeatingStatesOffice();

        IHeatingCentral GetHeatingStatesCentral();

        void SetCentralPump(bool state);
        
        void SetHeatingCircuitValveBath(bool state);

        void SetHeatingCircuitValveOffice(bool state);

        void SetServiceMode(bool serviceMode);

        bool GetServiceMode();
    }
}