﻿namespace SmartApp.Services
{
    public class SwitchLogic
    {
        private bool _lastState = false;

        public SwitchLogic(bool currentState)
        {
            this._lastState = currentState;
        }

        public bool StateChanged(bool currentState)
        {
            if (currentState != _lastState)
            {
                this._lastState = currentState;
                return true;
            }

            return false;
        }
    }
}
