﻿// ************************************************************************
// Model for serverbased LightsBath model.
// ************************************************************************

var LightsBathModel = new Object(); // namespace object

LightsBathModel.LightsBath = function (switchEntry, switchShower, balkLight, showerLight) {
    var self = this;
    self.SwitchEntry = ko.observable(switchEntry);
    self.SwitchShower = ko.observable(switchShower);
    self.BalkLight = ko.observable(balkLight);
    self.ShowerLight = ko.observable(showerLight);

    return {
        SwitchEntry: this.SwitchEntry(),
        SwitchShower: this.SwitchShower(),
        BalkLight: this.BalkLight(),
        ShowerLight: this.ShowerLight()
    };
};