﻿using System.Collections.Generic;
using SmartApp.Contracts.Models;

namespace SmartApp.Contracts.Services
{
    public interface IHeatingRoomService
    {
        bool IsStopped { get; }

        bool ServiceMode { get; set; }

        List<ParameterHeating> GetParameterHeating();

        void SaveParameterHeating(List<ParameterHeating> parameterHeating);
        
        void StartControlHeating();

        void StopControlHeating();
    }
}
