﻿// ************************************************************************
// Model for serverbased LightsOffice model.
// ************************************************************************

var LightsOfficeModel = new Object(); // namespace object

LightsOfficeModel.LightsOffice = function (balkLight1, balkLight2, balkLight5And6, balkLight7And8, balkLight9, balkLight10, balkLightUpper, mediaBoardLight, cupboardLight, switchMediaboard1, switchMediaboard2) {
    var self = this;
    self.BalkLight1 = ko.observable(balkLight1);
    self.BalkLight2 = ko.observable(balkLight2);
    self.BalkLight5And6 = ko.observable(balkLight5And6);
    self.BalkLight7And8 = ko.observable(balkLight7And8);
    self.BalkLight9 = ko.observable(balkLight9);
    self.BalkLight10 = ko.observable(balkLight10);
    self.BalkLightUpper = ko.observable(balkLightUpper);
    self.MediaBoardLight = ko.observable(mediaBoardLight);
    self.CupboardLight = ko.observable(cupboardLight);
    self.SwitchMediaboard1 = ko.observable(switchMediaboard1);
    self.SwitchMediaboard2 = ko.observable(switchMediaboard2);

    return {
        BalkLight1: this.BalkLight1(),
        BalkLight2: this.BalkLight2(),
        BalkLight5And6: this.BalkLight5And6(),
        BalkLight7And8: this.BalkLight7And8(),
        BalkLight9: this.BalkLight9(),
        BalkLight10: this.BalkLight10(),
        BalkLightUpper: this.BalkLightUpper(),
        MediaBoardLight: this.MediaBoardLight(),
        CupboardLight: this.CupboardLight(),
        SwitchMediaboard1: this.SwitchMediaboard1(),
        SwitchMediaboard2: this.SwitchMediaboard2()
    };
};