﻿// ************************************************************************
// Model for serverbased ParameterHeating model.
// ************************************************************************

var ParameterHeatingModel = new Object(); // namespace object

ParameterHeatingModel.ParameterHeating = function (id, targetTemperature, variance, startHour, stoppHour) {
    var self = this;
    self.Id = ko.observable(id);
    self.TargetTemperature = ko.observable(targetTemperature);
    self.Variance = ko.observable(variance);
    self.StartHour = ko.observable(startHour);
    self.StoppHour = ko.observable(stoppHour);

    return {
        Id: this.Id,
        TargetTemperature: this.TargetTemperature(),
        Variance: this.Variance(),
        StartHour: this.StartHour(),
        StoppHour: this.StoppHour()
    };
};